Intelligence
Share intelligence memory
Promote a private Substy Intelligence memory into agency scope so it can be used across the agency.
POST
/v1/agencies/{agencyId}/intelligence/memories/{memoryId}/promotionPromote a private Substy Intelligence memory into agency scope so it can be used across the agency.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthmemoryId*string
Length
1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agencies/string/intelligence/memories/string/promotion" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "memory": "string", "scope": "agency", "createdAt": null, "updatedAt": null, "metadata": null }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}